STDLIB(7)

NAME
STDLIB - The STDLIB application.

DESCRIPTION

The STDLIB application is mandatory in the sense that the minimal system based on Erlang/OTP consists of Kernel and STDLIB. The STDLIB application contains no services.

CONFIGURATION

The following configuration parameters are defined for the STDLIB application. For more information about configuration parameters, see the app(4) module in Kernel.

    shell_esc = icl | abort:
        Can be used to change the behavior of the Erlang shell when ^G is pressed.

    restricted_shell = module():
        Can be used to run the Erlang shell in restricted mode.

    shell_catch_exception = boolean():
        Can be used to set the exception handling of the evaluator process of Erlang shell.

    shell_expand_location = above | below:
        Sets where the tab expansion text should appear in the shell. The default is below.

    shell_redraw_prompt_on_output = boolean():
        Sets whether the shell should redraw the prompt when it receives output from other processes. This setting can be useful if you use run_erl to for logging as redrawing the prompt will emit a lot of ANSI escape characters that you normally do not want in a log. The default is true.

    shell_history_length = integer() >= 0:
        Can be used to determine how many commands are saved by the Erlang shell. See edlin for more.

    shell_keymap = #{}:
        Can be used to override the default keymap configuration for the shell.

    shell_prompt_func = {Mod, Func} | default:
        where

        *   Mod = atom()

        *   Func = atom()

        Can be used to set a customized Erlang shell prompt function.

    shell_saved_results = integer() >= 0:
        Can be used to determine how many results are saved by the Erlang shell.

    shell_session_slogan = string() | fun() -> string()):
        The slogan printed when starting an Erlang shell. Example:

    $ erl -stdlib shell_session_slogan '"Test slogan"'
    Erlang/OTP 26 [DEVELOPMENT] [erts-13.0.2] [source] [64-bit] [smp:8:8] [ds:8:8:10] [async-threads:1] [jit:ns]
    Test slogan
    1>

    shell_slogan = string() | fun(() -> string()):
        The slogan printed when starting the Erlang shell subsystem. Example:

    $ erl -stdlib shell_slogan '"Test slogan"'
    Test slogan
    Eshell V13.0.2  (abort with ^G)
    1>

        The default is the return value of erlang:system_info(system_version).

    shell_strings = boolean():
        Can be used to determine how the Erlang shell outputs lists of integers.

SEE ALSO

app(4), application(3), shell(3)